<!DOCTYPE HTML>
<html>
<head>
	<title>&Aacute;gua de Lastro #58</title>
	<meta name="viewport" content="initial-scale=1.0, user-scalable=no">
    <meta charset="utf-8">
    <link rel="stylesheet" href="css/cupertino/jquery-ui-1.10.3.custom.min.css" />
    <style>
    	#map-canvas {
      		width: 100%;
      	}
      	body {
  	  		font: 10px sans-serif;
		}
		.estat {
			margin-top: 5px;
			margin-bottom: 5px;
			font-size: 12px;
		}
		input[type=text] {
			border: 1px solid black;
		}
		.axis path, .axis line {
  			fill: none;
  			stroke: #000;
  			shape-rendering: crispEdges;
		}
		.x.axis path {
  			display: none;
		}
		.line {
  			fill: none;
  			stroke: black;
  			stroke-width: 1.5px;
		}
		#temp label {
			display: block;
			margin-top: 5px;
			font-weight: bold;
		}
		#temp input[type=button] {
			display: block;
			margin-top: 10px;
		}
		#mostrarEsconder {
			height: 24px;
			text-align: center;
			font-size: 10pt;
			background-color: #dddddd;
			padding-top: 5px;
			margin-bottom: 5px;
			font-weight: bold;
			cursor: pointer;
			border-radius: 10px;
		}
    </style>
	<script type="text/javascript" src="//code.jquery.com/jquery-1.10.2.min.js"></script>
	<script type="text/javascript" src="js/jquery-ui-1.10.3.custom.min.js"></script>
	<script type="text/javascript" src="js/jquery.ui.datepicker-pt-BR.js"></script>
	<script src="https://maps.googleapis.com/maps/api/js?v=3.exp&sensor=false"></script>
	<script src="js/jquery.maskedinput.min.js"></script>
	<script type="text/javascript" src="http://d3js.org/d3.v3.js" charset="utf-8"></script>
	<script type="text/javascript">
		var map, dados = [], lat, lng, infoWindow = null, satelites = [], markers = [], polyline = null, contador = 0, respostas = [], ultimaLargura, ultimaAltura;
		function maximize(id) {
			id = parseInt(id, 10);
			if (markers[id] != undefined) {
				markers[id].setAnimation(google.maps.Animation.BOUNCE);
			}
			if (polyline != null && polyline[id] != undefined) {
				polyline[id].setOptions({
					strokeWeight: 10
				});
			}
		}
		function minimize() {
			if (polyline != null) {
				for (var i in polyline) {
					polyline[i].setOptions({
						strokeWeight: 3
					});
				}
			}
			for (var i in markers) {
				markers[i].setAnimation(null);
			}
		}
		function grafico(sensor, id, pLargura, pAltura) {
			var resposta = respostas[id];
			if (!resposta) {
				$.ajaxSetup({async: false});
				$.post("rest/leituras/leituras", "navio=" + $("#navio").val() + "&inicio=" + $("#inicio").val() + "&fim=" + $("#fim").val() + "&sensor=" + sensor + "&esconder=" + ($("#esconderPontos").is(":checked") ? "1" : "0"), function(r) {
					respostas[id] = r;
					resposta = r;
				});
				$.ajaxSetup({async: true});
			}
			var dados = [];
			$(resposta).find("item").each(function() {
				dados.push({
					x: $(this).find("instanteFormatado").text(), 
					y: $(this).find("valor").text(),
					instante: $(this).find("instanteInvertido").text()
				});
			});
			var parseDate = d3.time.format("%Y%m%d%H%M%S").parse;
			dados.forEach(function(d) {
			    d.x = parseDate(d.x);
			    d.y = +d.y;
			});
			largura = pLargura - 25;
			altura = pAltura - 50;
			var margin = {
				top: 20, right: 20, bottom: 30, left: 50
			}, width = largura - margin.left - margin.right,
		    height = altura - margin.top - margin.bottom;
			var x = d3.time.scale()
			    	.range([0, width]);
			var y = d3.scale.linear()
			    	.range([height, 0]);
			var xAxis = d3.svg.axis()
			    	.scale(x)
			    	.orient("bottom");
			var yAxis = d3.svg.axis()
			    	.scale(y)
			    	.orient("left");
			var line = d3.svg.line()
			    	.x(function(d) { return x(d.x); })
			    	.y(function(d) { return y(d.y); });
			var newDiv = $("#dialog" + id);
			var range = d3.extent(dados, function(d) { return d.y; });
			if (sensor == 3) {
				range = [0, 60000];
			}
			if (newDiv.size() == 0) {
				newDiv = $("<div>").attr("id", "dialog" + id).attr("data-codigo", id).attr("data-sensor", sensor).attr("data-min", range[0]).attr("data-max", range[1]).addClass("dialog").appendTo("body").dialog({
					width: pLargura,
					height: pAltura,
					title: $("#sensor option[value=" + sensor + "]").html(),
					resizable: true,
					resize: function(event, ui) {
						ultimaLargura = ui.size.width;
						ultimaAltura = ui.size.height;
						grafico("", $(event.target).attr("data-codigo"), ultimaLargura, ultimaAltura);
					}
				});
			} else {
				range[0] = newDiv.attr("data-min");
				range[1] = newDiv.attr("data-max");
			}
			newDiv.empty();
			var svg = d3.select("#dialog" + id).append("svg")
			    	.attr("width", width + margin.left + margin.right)
			    	.attr("height", height + margin.top + margin.bottom)
			  		.append("g")
			    	.attr("transform", "translate(" + margin.left + "," + margin.top + ")");
			x.domain(d3.extent(dados, function(d) { return d.x; }));
			y.domain(range);
			var colors = d3.scale.linear().domain(d3.extent(dados, function(d) { return d.y; })).range(["red", "blue"]);
			svg.append("g")
				    .attr("class", "x axis")
			    	.attr("transform", "translate(0," + height + ")")
			        .call(xAxis);
			svg.append("g")
			        .attr("class", "y axis")
			        .call(yAxis);
			svg.append("path")
			        .datum(dados)
			        .attr("class", "line")
			        .attr("d", line);
			svg.selectAll(".point")
	        		.data(dados)
	      			.enter().append("svg:circle")
	         		.attr("stroke", function(d, i) { return colors(d.y); })
	         		.attr("fill", function(d, i) { return colors(d.y); })
	         		.attr("cx", function(d, i) { return x(d.x); })
	         		.attr("cy", function(d, i) { return y(d.y); })
	         		.attr("r", function(d, i) { return 5; });
			newDiv.find(".y").find(".tick:first, .tick:last").css("text-decoration", "underline").css("cursor", "pointer");
			var seq = 0;
			newDiv.find("circle").each(function() {
				$(this).attr("seq", seq++);
				$(this).attr("onmouseover", "maximize($(evt.target).attr('seq'))");
				$(this).attr("onmouseout", "minimize()");
			});
		}
		function mostrarTodos() {
			$(".dialog").dialog("close");
			ultimaLargura = $("#largura").val();
			ultimaAltura = $("#altura").val();
			$(".mostrarTodos:first").parent().parent().find("a").each(function() {
				$("<p>").addClass("adicionado").html("Carregando " + $(this).html() + "...").appendTo("#mensagem");
				$(this).click();
			});
			setTimeout(function() {
				$("#dialog" + (contador)).dialog("option", "position", [$(window).width() - 380, $(window).height() - 300]);
				$("#dialog" + (contador - 1)).dialog("option", "position", [$(window).width() - 380, $(window).height() - 590]);
				$("#dialog" + (contador - 2)).dialog("option", "position", [$(window).width() - 760, $(window).height() - 300]);
				$("#dialog" + (contador - 3)).dialog("option", "position", [$(window).width() - 760, $(window).height() - 590]);
				$("#dialog" + (contador - 4)).dialog("option", "position", [$(window).width() - 1140, $(window).height() - 300]);
				$("#dialog" + (contador - 5)).dialog("option", "position", [$(window).width() - 1140, $(window).height() - 590]);
				$("#mensagem").dialog("close");
			}, 100);
		}
		function correlacao() {
			$(".correlacao").html("-");
			var correl = 0;
			if (desvio_padrao[0] != -1 && desvio_padrao[1] != -1) {
				for (var i = 0; i < $(respostas[posicao[0]]).find("item").size(); i++) {
					correl += (parseFloat($(respostas[posicao[0]]).find("item:eq(" + i + ") valor").text()) - media[0]) / desvio_padrao[0] * (parseFloat($(respostas[posicao[1]]).find("item:eq(" + i + ") valor").text()) - media[1]) / desvio_padrao[1]; 
				}
				correl /= $(respostas[posicao[0]]).find("item").size() - 1;
				$(".correlacao").html("r = " + correl.toFixed(4));
			}
		}
		$(function() {
			estat = [{ocupado: false, sensor: "", media: "", desvio: "", correlacao: ""}, {ocupado: false, sensor: "", media: "", desvio: "", correlacao: ""}];
			ultimaLargura = $("#largura").val();
			ultimaAltura = $("#altura").val();
			$(window).resize(function() {
				$("#map-canvas").height($(window).height());				
			}).resize();
			map = new google.maps.Map(document.getElementById("map-canvas"), {
				zoom: 3,
				center: new google.maps.LatLng(0, 0)
			});
			/*google.maps.event.addListener(map, 'click', function(event) {
				new google.maps.Marker({
			    	position: event.latLng,
			    	map: map
				});
				lat = event.latLng.lat();
				lng = event.latLng.lng();
				$("#registrar").removeAttr("disabled");
				$("#temp").dialog("open");
			});*/
			$("#inicio, #fim, #data").datepicker().mask("99/99/9999");
			$("#hora").mask("99:99:99");
			$("#navio").change(function() {
				$(".sensor1, .sensor2, .correlacao").html("-");
				$("<option>").val("").html("").appendTo($("#sensor, #sensor1, #sensor2").empty());
				$.get("rest/leituras/sensoresPorNavio?navio=" + $("#navio").val(), function(resposta) {
					$(resposta).find("item").each(function() {
						if ($(this).find("nome").text() != "") {
							$("<option>").val($(this).find("codigo").text()).html($(this).find("nome").text() + ($(this).find("medida").text() != "" ? " (" + $(this).find("medida").text() + ")" : "")).appendTo("#sensor, #sensor1, #sensor2");
						}
					});
				});
			});
			$.get("rest/leituras/navios", function(resposta) {
				$(resposta).find("item").each(function() {
					$("<option>").val($(this).find("email").text()).html($(this).find("nome").text()).appendTo("#navio");
				});
				$("#navio").change();
			});
			$("#temp").dialog({
				width: 400,
				height: 300,
				autoOpen: false,
				modal: true
			});
			$("#temperatura, #pressaoAtmosferica, #condutividade, #oxigenioDissolvido, #turbidez, #ph").spinner({min: 0, max: 65535}).spinner("value", 32768);
			$("#mostrarDados").click(function() {
				if ($("#mostrarDados").val() == "Mostrar Dados") {
					$.post("rest/leituras/aquisicoes", "navio=" + $("#navio").val() + "&inicio=" + $("#inicio").val() + "&fim=" + $("#fim").val() + "&esconder=" + ($("#esconderPontos").is(":checked") ? "1" : "0"), function(resposta) {
						/*var contador = $(resposta).find("sensor:first").text();
						var dialog = $("#dialog" + contador);
						if ($("#dialog" + contador).size() == 0) {
							$("<div>").attr("id", "dialog" + (contador)).addClass("dialog").appendTo("body").dialog({
								width: largura,
								height: altura,
								title: $("#sensor option[value=" + contador + "]").html(),
								resize: function(event, ui) {
									grafico($(event.target).attr("id").substring(6), ui.size.width, ui.size.height);
								}
							});
						}
						dados[contador] = [];
						$(resposta).find("item").each(function() {
							dados[contador].push({
								x: $(this).find("instanteFormatado").text(), 
								y: $(this).find("valor").text(), 
								lat: $(this).find("latitude").text(), 
								lng: $(this).find("longitude").text(),
								instante: $(this).find("instanteFormatado").text()
							});
						});*/
						/*var parseDate = d3.time.format("%Y%m%d%H%M%S").parse;
						dados[contador].forEach(function(d) {
						    d.x = parseDate(d.x);
						    d.y = +d.y;
						});
						grafico(contador, largura, altura);
						marcadores(contador);*/
						var lats = 0, lngs = 0;
						var bounds = new google.maps.LatLngBounds();
						var path = [];
						for (var i in markers) {
							markers[i].setMap(null);
						}
						markers = [];
						var indice = 0;
						$(resposta).find("item").each(function() {
							var latlng = new google.maps.LatLng($(this).find("latitude").text(), $(this).find("longitude").text());
							path.push(latlng);
							bounds.extend(latlng);
							lats += parseFloat($(this).find("latitude").text());
							lngs += parseFloat($(this).find("longitude").text());
							var newMarker = new google.maps.Marker({
							  	position: latlng,
							  	map: map/*,
							  	icon: 'img/gps.png'*/
							});
							markers.push(newMarker);
							newMarker.instante = $(this).find("instanteInvertido").text();
							newMarker.indice = indice++;
							google.maps.event.addListener(newMarker, 'click', (function(newMarker) {
								return function() {
									if (infoWindow) {
										infoWindow.close();
									}
									$.get("rest/leituras/porInstante?instante=" + newMarker.instante, function(resposta) {
										var content = "<b>Data/Hora</b>: " + $(resposta).find("instanteFormatado:first").text() + "<br>";
										content += "<b>Latitude</b>: " + $(resposta).find("latitude:first").text() + "<br>";
										content += "<b>Longitude</b>: " + $(resposta).find("longitude:first").text() + "<br>";
										$(resposta).find("item").each(function() {
											if ($(this).find("sensor nome").text() != "") {
												content += "<a href='#' class='sensor' data-codigo='" + $(this).find("sensor codigo").text() + "'><b>" + $(this).find("sensor nome").text() + "</b></a>" + ($(this).find("medida").text() != "" ? " (" + $(this).find("medida").text() + ")" : "") + ": " + $(this).find("valorConvertido").text() + "<br>";
											}
										});
										content += "<p style='text-align: center; margin-top: 5px; margin-bottom: 0;'><input type='button' class='mostrarTodos' value='Mostrar Todos' style='font-size: 11px;' /></p>"
										infoWindow = new google.maps.InfoWindow({
											content: content
										});
							    		infoWindow.open(map, newMarker);
							    		setTimeout(function() {
							    			//$(".mostrarTodos").button();
											if (primeiraVez) {
												mostrarTodos();
												primeiraVez = false;
											}							    			
							    		}, 500);
									});
								}
						    })(newMarker));
							google.maps.event.addListener(newMarker, 'mouseover', (function(newMarker) {
								return function() {
									$(".dialog").each(function() {
										$(this).find("circle:eq(" + newMarker.indice + ")").attr("r", 15);
									});
								}
						    })(newMarker));
							google.maps.event.addListener(newMarker, 'mouseout', (function(newMarker) {
								return function() {
									$(".dialog circle").attr("r", 5);
								}
						    })(newMarker));
						});
						new google.maps.event.trigger(markers[0], 'click');
						new google.maps.event.trigger(markers[0], 'click');
						if (polyline != null) {
							for (var i in polyline) {
								polyline[i].setMap(null);								
							}
						}
						var newPolyline = new google.maps.Polyline({
							path: path,
						    icons: [{
						    	icon: { path: google.maps.SymbolPath.FORWARD_CLOSED_ARROW },
						      	offset: '100%'
						    }],
						    strokeColor: "black",
						    map: map
						});
						polyline = [newPolyline];
						//map.setCenter(new google.maps.LatLng(lats / dados[contador].length, lngs / dados[contador].length));
						map.fitBounds(bounds);
						$("#mensagem").find(".adicionado").remove().end().dialog("open");
					});
					$("#mostrarDados").val("Nova Consulta");
					$("#navio, #inicio, #fim").attr("disabled", "disabled");
					$("#sensor1, #sensor2").removeAttr("disabled");
					primeiraVez = true;
				} else if ($("#mostrarDados").val() == "Nova Consulta") {
					$(".sensor1, .sensor2, .correlacao").html("-");
					$("#mostrarDados").val("Mostrar Dados");
					$("#navio, #inicio, #fim").removeAttr("disabled");
					$("#sensor1, #sensor2").val("").attr("disabled", "disabled");
					for (var i in markers) {
						markers[i].setMap(null);
					}
					for (var i in polyline) {
						polyline[i].setMap(null);						
					}
					$(".dialog").dialog("close");
				}
			});
			$("input[type=button]").button();
			$("#registrar").click(function() {
				$("#registrar").attr("disabled", "disabled");
				$.post("rest/leituras/registrar", 
					"data=" + $("#data").val() + "&" +
					"hora=" + $("#hora").val() + "&" +
					"latitude=" + lat + "&" +
					"longitude=" + lng + "&" +
					"temperatura=" + $("#temperatura").val() + "&" +
					"pressaoAtmosferica=" + $("#pressaoAtmosferica").val() + "&" +
					"condutividade=" + $("#condutividade").val() + "&" +
					"oxigenioDissolvido=" + $("#oxigenioDissolvido").val() + "&" +
					"turbidez=" + $("#turbidez").val() + "&" +
					"ph=" + $("#ph").val()
				, function() {
					$("#temp").dialog("close");
				});
			});
			/*$("#tudo").click(function() {
				if ($("#tudo").is(":checked")) {
					var margin = 15;
					$(".dialog").dialog("option", "width", largura).dialog("option", "height", altura).dialog("open");
					$("#dialog1").parent().css("top", $(window).height() - (altura + margin - 5) * 3).css("left", $(window).width() - largura - margin);
					$("#dialog2").parent().css("top", $(window).height() - (altura + margin - 5) * 2).css("left", $(window).width() - largura - margin);
					$("#dialog3").parent().css("top", $(window).height() - altura - margin).css("left", $(window).width() - largura - margin);
					$("#dialog4").parent().css("top", $(window).height() - altura - margin).css("left", $(window).width() - (largura + margin) * 2);
					$("#dialog5").parent().css("top", $(window).height() - altura - margin).css("left", $(window).width() - (largura + margin) * 3);
					$("#dialog6").parent().css("top", $(window).height() - altura - margin).css("left", $(window).width() - (largura + margin) * 4);
					for (var i = 1; i <= 6; i++) {
						grafico(i, largura, altura);
					}
				} else {
					$(".dialog").dialog("close");
				}
			});*/
			$("body").on("click", ".mostrarTodos", function() {
				mostrarTodos();
			});
			$("body").on("click", ".sensor", function() {
				var codigoSensor = $(this).attr("data-codigo");
				grafico(codigoSensor, ++contador, ultimaLargura, ultimaAltura);
				return false;
			});
			$("body").on("click", ".tick", function(event) {
				if ($(this).attr("transform") == $(this).parent().find(".tick:first").attr("transform")) {
					$("#escala").remove();
					var dialog = $(this).parent().parent().parent().parent();
					$("<input>").attr("type", "text").attr("id", "escala")
							.css("z-index", 1000).css("position", "absolute").css("top", event.screenY - 75).css("left", event.screenX - 40).css("width", "100px")
							.val($(this).find("text").html()).appendTo("body").focus().keyup(function(e) {
								if (e.keyCode == 27) {
									$("#escala").remove();
								} else if (e.keyCode == 13) {
									dialog.attr("data-min", $("#escala").val().replace(",", "."));
									$("#escala").remove();
									grafico("", dialog.attr("data-codigo"), ultimaLargura, ultimaAltura);
								}
							});
				}
				if ($(this).attr("transform") == $(this).parent().find(".tick:last").attr("transform")) {
					$("#escala").remove();
					var dialog = $(this).parent().parent().parent().parent();
					$("<input>").attr("type", "text").attr("id", "escala")
							.css("z-index", 1000).css("position", "absolute").css("top", event.screenY - 75).css("left", event.screenX - 40).css("width", "100px")
							.val($(this).find("text").html()).appendTo("body").focus().keyup(function(e) {
								if (e.keyCode == 27) {
									$("#escala").remove();
								} else if (e.keyCode == 13) {
									dialog.attr("data-max", $("#escala").val().replace(",", ""));
									$("#escala").remove();
									grafico("", dialog.attr("data-codigo"), ultimaLargura, ultimaAltura);
								}
							});
				}
			});
			media = [0, 0];
			desvio_padrao = [-1, -1];
			posicao = [-1, -1];
			$("#sensor1").change(function() {
				$(".sensor1").html("-");
				desvio_padrao[0] = -1;
				if ($("#sensor1").val() != "") {
					posicao[0] = -1;
					for (var i = contador; i >= 0; i--) {
						if ($(respostas[i]).find("sensor:first").text() == $("#sensor1").val()) {
							posicao[0] = i;
							break;
						}
					}
					if (posicao[0] != -1) {
						media[0] = 0;
						var n = 0;
						$(respostas[posicao[0]]).find("item").each(function() {
							media[0] += parseFloat($(this).find("valor").text());
							n++;
						});
						media[0] /= n;
						desvio_padrao[0] = 0;
						$(respostas[posicao[0]]).find("item").each(function() {
							desvio_padrao[0] += (parseFloat($(this).find("valor").text()) - media[0]) * (parseFloat($(this).find("valor").text()) - media[0]);
						});
						desvio_padrao[0] = Math.sqrt(desvio_padrao[0] / (n - 1));
						$(".sensor1").html("&mu; = " + media[0].toFixed(2) + " | &sigma; = " + desvio_padrao[0].toFixed(2));
					}
				}
				correlacao();
			});
			$("#sensor2").change(function() {
				$(".sensor2").html("-");
				desvio_padrao[1] = -1;
				if ($("#sensor2").val() != "") {
					posicao[1] = -1;
					for (var i = contador; i >= 0; i--) {
						if ($(respostas[i]).find("sensor:first").text() == $("#sensor2").val()) {
							posicao[1] = i;
							break;
						}
					}
					if (posicao[1] != -1) {
						media[1] = 0;
						var n = 0;
						$(respostas[posicao[1]]).find("item").each(function() {
							media[1] += parseFloat($(this).find("valor").text());
							n++;
						});
						media[1] /= n;
						desvio_padrao[1] = 0;
						$(respostas[posicao[1]]).find("item").each(function() {
							desvio_padrao[1] += (parseFloat($(this).find("valor").text()) - media[1]) * (parseFloat($(this).find("valor").text()) - media[1]);
						});
						desvio_padrao[1] = Math.sqrt(desvio_padrao[1] / (n - 1));
						$(".sensor2").html("&mu; = " + media[1].toFixed(2) + " | &sigma; = " + desvio_padrao[1].toFixed(2));
					}
				}
				correlacao();
			});
			primeiraVez = true;
			$("#mensagem").dialog({
				modal: true,
				autoOpen: false
			});
			$("#exportar").button().click(function() {
				$("<form>")
						.attr("action", "rest/leituras/excel.csv")
						.append($("<input type=hidden name=inicio value=" + $("#inicio").val() + ">"))
						.append($("<input type=hidden name=fim value=" + $("#fim").val() + ">"))
						.append($("<input type=hidden name=navio value=" + $("#navio").val() + ">"))
						.submit();
			});
			$("#mostrarMapa").click(function() {
				for (var i in markers) {
					markers[i].setMap(null);
				}
				markers = [];
				if (polyline != null) {
					for (var i in polyline) {
						polyline[i].setMap(null);								
					}
				}
				polyline = [];
				$.post("rest/leituras/leituras", "navio=" + $("#navio").val() + "&inicio=" + $("#inicio").val() + "&fim=" + $("#fim").val() + "&sensor=" + $("#sensor1").val() + "&esconder=" + ($("#esconderPontos").is(":checked") ? "1" : "0"), function(resposta) {
					var min = 1e100;
					var max = -1e100;
					$(resposta).find("item").each(function() {
						if (parseFloat($(this).find("valor").text(), 10) < min) {
							min = parseFloat($(this).find("valor").text(), 10);
						}
						if (parseFloat($(this).find("valor").text(), 10) > max) {
							max = parseFloat($(this).find("valor").text(), 10);
						}
					});
					var latlngant = null;
					var indice = 0;
					$(resposta).find("item").each(function() {
						var latlng = new google.maps.LatLng($(this).find("latitude").text(), $(this).find("longitude").text());
						if (latlngant != null) {
							var red = (max == min ? "FF" : parseInt(255 - (parseFloat($(this).find("valor").text()) - min) / (max - min) * 255).toString(16));
							var blue = (max == min ? "00" : parseInt((parseFloat($(this).find("valor").text()) - min) / (max - min) * 255).toString(16));
							var newPolyline = new google.maps.Polyline({
								path: [latlngant, latlng],
							    icons: [{
							    	icon: { path: google.maps.SymbolPath.FORWARD_CLOSED_ARROW },
							      	offset: '100%'
							    }],
							    strokeColor: "#" + (red.length < 2 ? "0" + red : red) + "00" + (blue.length < 2 ? "0" + blue : blue),
							    map: map
							});
							newPolyline.indice = indice++;
							google.maps.event.addListener(newPolyline, 'mouseover', (function(newPolyline) {
								return function() {
									$(".dialog").each(function() {
										$(this).find("circle:eq(" + newPolyline.indice + ")").attr("r", 15);
									});
								}
						    })(newPolyline));
							google.maps.event.addListener(newPolyline, 'mouseout', (function(newPolyline) {
								return function() {
									$(".dialog circle").attr("r", 5);
								}
						    })(newPolyline));
							polyline.push(newPolyline);
						}
						latlngant = latlng;
					});
				});
			});
			/*setInterval(function() {
				$.get("rest/satelites", function(response) {
					$(response).find("item").each(function() {
						if ($(this).find("latitude").text() != "0.0" && $(this).find("longitude").text() != "0.0") {
							var latlng = new google.maps.LatLng(parseFloat($(this).find("latitude").text()), parseFloat($(this).find("longitude").text()));
							var marker = new google.maps.Marker({
						    	position: latlng,
						    	map: map,
						    	icon: {
						    		url: "img/gps.png",
						    		anchor: new google.maps.Point(16, 16)
						    	},
							    visible: $("#satelites").is(":checked")
							});
							var polyline = new google.maps.Polyline({
								path: ($(this).find("nome").text() in satelites) ? satelites[$(this).find("nome").text()].slice(2, satelites[$(this).find("nome").text()].length - 1) : [],
							    map: map,
							    visible: $("#rotas").is(":checked")
							});
							if (!($(this).find("nome").text() in satelites)) {
								satelites[$(this).find("nome").text()] = [];
								satelites[$(this).find("nome").text()].push(polyline);
								satelites[$(this).find("nome").text()].push(marker);
								satelites[$(this).find("nome").text()].push(latlng);
							} else {
								satelites[$(this).find("nome").text()][0].setMap(null);
								satelites[$(this).find("nome").text()][1].setMap(null);
								satelites[$(this).find("nome").text()][0] = polyline;
								satelites[$(this).find("nome").text()][1] = marker;
								satelites[$(this).find("nome").text()].push(latlng);
							}
						}
					});
				});	
			}, 1000);*/
			$("#mostrarEsconder").click(function() {
				if ($(this).html() == "Esconder") {
					$("#conteudo").hide();
					$(this).html("Mostrar");
				} else {
					$("#conteudo").show();
					$(this).html("Esconder");
				}
			});
		});
	</script>
</head>
<body>
	<div id="painel" style="position: absolute; top: 20px; left: 95px; z-index: 1; width: 185px; background-color: #eeeeee; padding: 10px; border: 5px solid white;">
		<div id="mostrarEsconder">Esconder</div>
		<div id="conteudo">
			<label>Navio:</label><br>
			<select id="navio" style="margin-bottom: 10px;"></select><br>
			<label>In&iacute;cio:</label><br>
			<input type="text" id="inicio" size="10" style="margin-bottom: 10px;" /><br>
			<label>Fim:</label><br>
			<input type="text" id="fim" size="10" style="margin-bottom: 10px;" /><br>
			<input type="button" value="Mostrar Dados" id="mostrarDados" style="margin-bottom: 10px;" />
			<input type="button" value="Exportar" id="exportar" style="margin-bottom: 10px;" />
			<br>
			<select id="sensor1" disabled="disabled">
				<option value=""></option>
			</select>
			<br>
			<p class="estat sensor1">-</p>
			<input type="button" value="Mostrar no Mapa" id="mostrarMapa" style="margin-bottom: 10px;" />
			<br>
			<select id="sensor2" disabled="disabled">
				<option value=""></option>
			</select>
			<br>
			<p class="estat sensor2">-</p>
			<p class="estat correlacao">-</p>
			<label style="display: none;">Sensor:</label>
			<select style="display: none;" id="sensor"></select>
			<label style="display: none;">Largura (px):</label><br style="display: none;">
			<input style="display: none;" type="text" id="largura" size="10" style="margin-bottom: 10px;" value="360" /><br style="display: none;">
			<label style="display: none;">Altura (px):</label><br style="display: none;">
			<input style="display: none;" type="text" id="altura" size="10" style="margin-bottom: 5px;" value="270" /><br style="display: none;">
			<p><input type="checkbox" id="esconderPontos" checked="checked" />Esconder posi&ccedil;&otilde;es zero</p>
		</div>
	</div>
	<div id="temp" title="Incluir Registro">
		<table border="0" style="width: 100%;">
			<tr>
				<td style="width: 50%;"><label>Data:</label></td>
				<td><label>Hora:</label></td>
			</tr>
			<tr>
				<td><input type="text" id="data" size="10" /></td>
				<td><input type="text" id="hora" size="8" /></td>
			</tr>
			<tr>
				<td><label>Temperatura:</label></td>
				<td><label>Presso Atmosfrica:</label></td>
			</tr>
			<tr>
				<td><input type="text" id="temperatura" size="5" /></td>
				<td><input type="text" id="pressaoAtmosferica" size="5" /></td>
			</tr>
			<tr>
				<td><label>Condutividade:</label></td>
				<td><label>Oxignio Dissolvido:</label></td>
			</tr>
			<tr>
				<td><input type="text" id="condutividade" size="5" /></td>
				<td><input type="text" id="oxigenioDissolvido" size="5" /></td>
			</tr>
			<tr>
				<td><label>Turbidez:</label></td>
				<td><label>pH:</label></td>
			</tr>
			<tr>
				<td><input type="text" id="turbidez" size="5" /></td>
				<td><input type="text" id="ph" size="5" /></td>
			</tr>
			<tr>
				<td colspan="2" style="text-align: center;">
					<input type="button" value="Registrar" id="registrar" style="margin-left: 150px;" />
				</td>
			</tr>
		</table>
	</div>
	<div id="map-canvas" style="position: absolute; top: 0px; left: 0px; z-index: 0;"></div>
	<div id="mensagem" title="Mensagem">
		<p>Por favor, aguarde:</p>
	</div>
</body>
</html>
